> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corti.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate user and get access token

> Authenticate using email and password to receive an access token.

<Warning>
This `Admin API` is separate from the `Corti API` used for speech recognition, text generation, and agentic workflows:

<ul><li>Authentication and scope for the `Admin API` uses email-and-password to obtain a bearer token via `/auth/token`. This token is only used for API administration.</li></ul>

Please [contact us](https://help.corti.app) if you have interest in this functionality or further questions.
</Warning>




## OpenAPI

````yaml /api-reference/admin/admin-openapi.yml post /auth/token
openapi: 3.1.0
info:
  title: Admin API
  version: 0.1.0
  description: >
    The Admin API provides programmatic access to Corti's self-service Console
    platform. This API is intended for administrators.
servers:
  - url: https://api.console.corti.app/functions/v1/public
    description: Production Admin API
security: []
tags:
  - name: Auth
    description: Operations related to authentication
  - name: Customers
    description: Operations related to customer management
  - name: Users
    description: Operations related to user management
paths:
  /auth/token:
    post:
      tags:
        - Auth
      summary: Authenticate user and get access token
      description: >
        Authenticate using email and password to receive an access token.


        <Warning>

        This `Admin API` is separate from the `Corti API` used for speech
        recognition, text generation, and agentic workflows:


        <ul><li>Authentication and scope for the `Admin API` uses
        email-and-password to obtain a bearer token via `/auth/token`. This
        token is only used for API administration.</li></ul>


        Please [contact us](https://help.corti.app) if you have interest in this
        functionality or further questions.

        </Warning>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                  description: User's email address
                password:
                  type: string
                  description: User's password
              required:
                - email
                - password
      responses:
        '200':
          description: Authentication successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  accessToken:
                    type: string
                    description: JWT access token
                  tokenType:
                    type: string
                    example: bearer
                  expiresIn:
                    type: integer
                    description: Token expiration time in seconds
                required:
                  - accessToken
                  - tokenType
                  - expiresIn
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security: []
components:
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ServiceUnavailable:
      description: External service unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message
        code:
          type: string
          description: Machine-readable error code
        details:
          type: object
          additionalProperties: true
          description: Additional error details
      required:
        - error

````